"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkWarrantParamsToCheckWarrant = exports.CheckOp = void 0;
const Object_1 = require("./Object");
const Warrant_1 = require("./Warrant");
var CheckOp;
(function (CheckOp) {
    CheckOp["AllOf"] = "allOf";
    CheckOp["AnyOf"] = "anyOf";
    CheckOp["Batch"] = "batch";
})(CheckOp = exports.CheckOp || (exports.CheckOp = {}));
function checkWarrantParamsToCheckWarrant(checkWarrantParams) {
    return {
        objectType: Object_1.isWarrantObject(checkWarrantParams.object) ? checkWarrantParams.object.getObjectType() : checkWarrantParams.object.objectType,
        objectId: Object_1.isWarrantObject(checkWarrantParams.object) ? checkWarrantParams.object.getObjectId() : checkWarrantParams.object.objectId,
        relation: checkWarrantParams.relation,
        subject: Warrant_1.isSubject(checkWarrantParams.subject) ? checkWarrantParams.subject : { objectType: checkWarrantParams.subject.getObjectType(), objectId: checkWarrantParams.subject.getObjectId() },
        context: checkWarrantParams.context
    };
}
exports.checkWarrantParamsToCheckWarrant = checkWarrantParamsToCheckWarrant;
